## debian-archive-keyring 2023.2

=== debian/changelog ===
debian-archive-keyring (2023.2) unstable; urgency=medium

  * Reinstate buster keys for apt as fragments (Closes: #1033077)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 17 Mar 2023 17:03:56 +0000

debian-archive-keyring (2023.1) unstable; urgency=medium

  * Standards version 4.6.0 (no changes)
  * Update my key and refresh signature
  * Switch to use ASCII-armoured fragments for APT trust
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
    (Closes: #1029215)
  * Remove stretch's keys (automatic and release)
  * Add automatic signing keys for bookworm (Closes: #1029214)
  * Refresh signature over keyrings/debian-archive-keyring.gpg

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 16 Mar 2023 08:54:35 +0000

## debian-archive-keyring 2023.3

=== debian/changelog ===
debian-archive-keyring (2023.3) unstable; urgency=medium

  * Reinstate cleanup of the APT keyrings for buster (Closes: #1033153)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 28 Mar 2023 21:31:07 +0100

## debian-archive-keyring 2023.3ubuntu1

=== debian/changelog ===
debian-archive-keyring (2023.3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Apr 2023 15:15:43 +0200

debian-archive-keyring (2023.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Mar 2023 08:39:18 +0200

## debian-archive-keyring 2023.3+deb12u1

=== debian/changelog ===
debian-archive-keyring (2023.3+deb12u1) bookworm; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d
  * Adjust keyring cleanup versions for a stable update

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:30:54 +0100

=== debian/control ===
Source: debian-archive-keyring
Priority: important
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
 Jonathan Wiltshire <jmw@debian.org>,
Build-Depends: debhelper (>= 10), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git

Package: debian-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GnuPG archive keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: debian-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: GnuPG keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

## debian-archive-keyring 2023.3+deb12u2

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.gpg/debian-archive-%.gpg,$(wildcard active-keys/add-*))
TMPRING := trusted.gpg/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg $(TRUSTED-LIST)

keyrings/debian-archive-keyring.gpg: active-keys/index
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

keyrings/debian-archive-removed-keys.gpg: removed-keys/index
	jetring-build -I $@ removed-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

$(TRUSTED-LIST) :: trusted.gpg/debian-archive-%.gpg : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.gpg
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -f keyrings/debian-archive-keyring.gpg \
		keyrings/debian-archive-keyring.gpg~ \
		keyrings/debian-archive-keyring.gpg.lastchangeset
	rm -f keyrings/debian-archive-removed-keys.gpg \
		keyrings/debian-archive-removed-keys.gpg~ \
		keyrings/debian-archive-removed-keys.gpg.lastchangeset
	rm -f keyrings/team-members.gpg \
		keyrings/team-members.gpg~ \
		keyrings/team-members.gpg.lastchangeset
	rm -rf $(TMPRING) trusted.gpg trustdb.gpg
	rm -f keyrings/*.cache

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp trusted.gpg/debian-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp $(shell find apt-trusted-asc/ -name '*.asc' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: clean build install

=== debian/changelog ===
debian-archive-keyring (2023.3+deb12u2) bookworm; urgency=medium

  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 10 Apr 2025 00:04:55 +0100

## debian-archive-keyring 2023.4

=== debian/changelog ===
debian-archive-keyring (2023.4) unstable; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:24:09 +0100

## debian-archive-keyring 2023.4ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,27 @@
 
 GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg
 
-build: keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg $(TRUSTED-LIST)
+build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results $(TRUSTED-LIST)
+
+verify-indices: keyrings/team-members.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg \
+		--verify active-keys/index.gpg active-keys/index
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg \
+		--verify removed-keys/index.gpg removed-keys/index
+
+verify-results: keyrings/team-members.gpg keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg --verify \
+		keyrings/debian-archive-keyring.gpg.asc \
+		keyrings/debian-archive-keyring.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg --verify \
+		keyrings/debian-archive-removed-keys.gpg.asc \
+		keyrings/debian-archive-removed-keys.gpg
+	#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
+	#	Maybe "just" checking that no key is added if we merge, but how…
 
 keyrings/debian-archive-keyring.gpg: active-keys/index
 	jetring-build -I $@ active-keys
@@ -12,6 +32,11 @@
 
 keyrings/debian-archive-removed-keys.gpg: removed-keys/index
 	jetring-build -I $@ removed-keys
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
+
+keyrings/team-members.gpg: team-members/index
+	jetring-build -I $@ team-members
 	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
 	mv -f $@.tmp $@
 
@@ -45,4 +70,4 @@
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
 	cp $(shell find apt-trusted-asc/ -name '*.asc' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/
 
-.PHONY: clean build install
+.PHONY: verify-indices verify-results clean build install

=== debian/changelog ===
debian-archive-keyring (2023.4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jul 2023 08:55:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
  Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper (>= 10), jetring, gnupg
@@ -17,6 +18,8 @@
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive keys used for that.
+ .
+ In Ubuntu, those keys are disabled by default.
 
 Package: debian-archive-keyring-udeb
 Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel

## debian-archive-keyring 2025.1

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.pgp/debian-archive-%.pgp,$(wildcard active-keys/add-*))
TMPRING := trusted.pgp/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: keyrings/debian-archive-keyring.pgp keyrings/debian-archive-removed-keys.pgp $(TRUSTED-LIST)

keyrings/debian-archive-keyring.pgp: active-keys/index
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

keyrings/debian-archive-removed-keys.pgp: removed-keys/index
	jetring-build -I $@ removed-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

$(TRUSTED-LIST) :: trusted.pgp/debian-archive-%.pgp : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.pgp
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

clean:
	rm -f keyrings/debian-archive-keyring.pgp \
		keyrings/debian-archive-keyring.pgp~ \
		keyrings/debian-archive-keyring.pgp.lastchangeset \
		keyrings/debian-archive-keyring.gpg \
		$(EOL)
	rm -f keyrings/debian-archive-removed-keys.pgp \
		keyrings/debian-archive-removed-keys.pgp~ \
		keyrings/debian-archive-removed-keys.pgp.lastchangeset \
		keyrings/debian-archive-removed-keys.gpg \
		$(EOL)
	rm -f keyrings/team-members.pgp \
		keyrings/team-members.pgp~ \
		keyrings/team-members.pgp.lastchangeset
	rm -rf $(TMPRING) trusted.pgp trustdb.gpg
	rm -f keyrings/*.cache

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp trusted.pgp/debian-archive-*.pgp $(DESTDIR)/usr/share/keyrings/
	cp -a trusted.pgp/debian-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-keyring.pgp $(DESTDIR)/usr/share/keyrings/
	cp -a keyrings/debian-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-removed-keys.pgp $(DESTDIR)/usr/share/keyrings/
	cp -a keyrings/debian-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp $(shell find apt-trusted-asc/ -name '*.asc' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: clean build install

=== debian/changelog ===
debian-archive-keyring (2025.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Guillem Jover ]
  * Add .gitignore files
  * Update maintainer documentation for trusted.gpg.d files removal
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp

  [ Jonathan Wiltshire ]
  * Clean up maintscript removal of ancient archive certificates
  * Add NEWS entry warning of file extension renames
  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 09 Apr 2025 23:05:46 +0100

=== debian/control ===
Source: debian-archive-keyring
Priority: important
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
 Jonathan Wiltshire <jmw@debian.org>,
Build-Depends: debhelper-compat (= 12), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git

Package: debian-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that.

Package: debian-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that, in a minimal form
 for use in the installer.

## debian-archive-keyring 2025.1ubuntu1

=== debian/changelog ===
debian-archive-keyring (2025.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Apr 2025 17:08:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
  Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper-compat (= 12), jetring, gnupg
@@ -17,6 +18,8 @@
 Description: OpenPGP archive certificates of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive certificates used for that.
+ .
+ In Ubuntu, those keys are disabled by default.
 
 Package: debian-archive-keyring-udeb
 Package-Type: udeb
